"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildArgv = exports.run = void 0;

var _yargs = _interopRequireDefault(require("yargs"));

var _miappbuild = require("../core/miappbuild");

var _runCli = require("./runCli");

var args = _interopRequireWildcard(require("./args"));

const run = (maybeArgv, logger) => {
  const argv = buildArgv(maybeArgv);
  return (0, _runCli.runCli)(argv, logger);
};

exports.run = run;

const buildArgv = maybeArgv => {
  const prereleaseTag = __dirname.includes('mi-app-cli-plugin') ? '-dev' : '';
  const version = `${(0, _miappbuild.getVersion)()}${prereleaseTag}}`;
  const rawArgv = maybeArgv || process.argv.slice(2);
  const {
    argv = {}
  } = (0, _yargs.default)(rawArgv).usage(args.usage).version(version).alias('help', 'h').options(args.options).epilogue(args.docs).check(args.check);
  return argv;
};

exports.buildArgv = buildArgv;