"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IOS_REGEXP = exports.TI_XPATH_NAMESPACES = exports.STRINGS_VERSION_XPATH = exports.MANIFEST_XPATH = exports.COMMANDS = exports.EXCLUDED_FILES = exports.DIR = exports.FILE_EXT = exports.DIST_TYPES = exports.TARGETS = exports.TARGET_DEPLOY_TYPES = exports.DEPLOY_TYPES = exports.SKIP_PLUGIN_FILE = exports.TITANIUM_MODULE_CONFIG_FILE = exports.GIT_IGNORE = exports.NAME_DEFAULT = exports.RESOURCES_DIR = exports.ALLOY_CONFIG = exports.ALLOY_RUNTIME_DIR = exports.ALLOY_DIR = exports.TIAPP_XML_FILE = exports.TIAPP_XML_CONFIGURATION_FILE = exports.TIAPP_XML_TEMPLATE_FILE = exports.LTAG = void 0;
const LTAG = 'miapp-build';
exports.LTAG = LTAG;
const TIAPP_XML_TEMPLATE_FILE = 'tiapp.tpl';
exports.TIAPP_XML_TEMPLATE_FILE = TIAPP_XML_TEMPLATE_FILE;
const TIAPP_XML_CONFIGURATION_FILE = '.miapprc.json';
exports.TIAPP_XML_CONFIGURATION_FILE = TIAPP_XML_CONFIGURATION_FILE;
const TIAPP_XML_FILE = 'tiapp.xml';
exports.TIAPP_XML_FILE = TIAPP_XML_FILE;
const ALLOY_DIR = 'app';
exports.ALLOY_DIR = ALLOY_DIR;
const ALLOY_RUNTIME_DIR = 'alloy';
exports.ALLOY_RUNTIME_DIR = ALLOY_RUNTIME_DIR;
const ALLOY_CONFIG = 'config.json';
exports.ALLOY_CONFIG = ALLOY_CONFIG;
const RESOURCES_DIR = 'Resources';
exports.RESOURCES_DIR = RESOURCES_DIR;
const NAME_DEFAULT = 'index';
exports.NAME_DEFAULT = NAME_DEFAULT;
const GIT_IGNORE = '.gitignore';
exports.GIT_IGNORE = GIT_IGNORE;
const TITANIUM_MODULE_CONFIG_FILE = 'manifest';
exports.TITANIUM_MODULE_CONFIG_FILE = TITANIUM_MODULE_CONFIG_FILE;
const SKIP_PLUGIN_FILE = '.skipmiappbuild';
exports.SKIP_PLUGIN_FILE = SKIP_PLUGIN_FILE;
const DEPLOY_TYPES = {
  ENV_DEV: 'development',
  ENV_DEVELOPMENT: 'development',
  ENV_TEST: 'test',
  ENV_PROD: 'production',
  ENV_PRODUCTION: 'production'
};
exports.DEPLOY_TYPES = DEPLOY_TYPES;
const TARGET_DEPLOY_TYPES = {
  emulator: 'development',
  simulator: 'development',
  device: 'test',
  'dist-playstore': 'production',
  'dist-appstore': 'production',
  'dist-adhoc': 'production'
};
exports.TARGET_DEPLOY_TYPES = TARGET_DEPLOY_TYPES;
const TARGETS = Object.keys(TARGET_DEPLOY_TYPES).filter(Boolean);
exports.TARGETS = TARGETS;
const DIST_TYPES = {
  DIST_ADHOC: ['dist-adhoc'],
  DIST_STORE: ['dist-appstore', 'dist-playstore']
}; // Mappings of file extensions and folders for each file type

exports.DIST_TYPES = DIST_TYPES;
const FILE_EXT = {
  VIEW: 'xml',
  STYLE: 'tss',
  MODEL: 'js',
  MODELCODE: 'js',
  MIGRATION: 'js',
  CONTROLLER: 'js',
  COMPONENT: 'js',
  CONFIG: 'json',
  JMK: 'jmk',
  MAP: 'map'
};
exports.FILE_EXT = FILE_EXT;
const DIR = {
  VIEW: 'views',
  STYLE: 'styles',
  RUNTIME_STYLE: 'styles',
  CONTROLLER: 'controllers',
  MODEL: 'models',
  MODELCODE: 'models',
  MIGRATION: 'migrations',
  CONFIG: 'config',
  ASSETS: 'assets',
  WIDGET: 'widgets',
  LIB: 'lib',
  COMPONENT: 'controllers',
  MAP: 'build/map',
  VENDOR: 'vendor',
  THEME: 'themes',
  BUILD: 'build/alloy',
  I18N: 'i18n',
  PLATFORM: 'platform',
  PLATFORM_IOS: 'platform/iphone',
  SETTINGS_IOS: 'platform/iphone/Settings.bundle',
  GIT: '.git'
}; // Folders/files to exclude when copying and processing files
// RegEx format: must escape special chars - so use \.svn not .svn

exports.DIR = DIR;
const EXCLUDED_FILES = ['\\.svn', '\\.git'];
exports.EXCLUDED_FILES = EXCLUDED_FILES;
const COMMANDS = {
  GENERATE: 'generate',
  BUILD: 'build'
};
exports.COMMANDS = COMMANDS;
const MANIFEST_XPATH = '/ti:app/android/manifest';
exports.MANIFEST_XPATH = MANIFEST_XPATH;
const STRINGS_VERSION_XPATH = '//string[@name="preferences_app_version_title"]';
exports.STRINGS_VERSION_XPATH = STRINGS_VERSION_XPATH;
const TI_XPATH_NAMESPACES = {
  ti: 'http://ti.appcelerator.org',
  android: 'http://schemas.android.com/apk/res/android'
};
exports.TI_XPATH_NAMESPACES = TI_XPATH_NAMESPACES;
const IOS_REGEXP = /(?:iphone|ipad|ios)/;
exports.IOS_REGEXP = IOS_REGEXP;