"use strict";

var _kleur = require("kleur");

var _runCli = require("../cli/runCli");

var _miappbuild = require("../core/miappbuild");

exports.cliVersion = '>=3.2.0';
exports.version = (0, _miappbuild.getVersion)();
exports.title = 'miapp-build';
exports.desc = (0, _miappbuild.getDescription)();
/**
 * Initialize cli hooks.
 *
 * @param {Object} logger - The CLI logger module
 * @param {Object} config - The Object holding the cli configuration
 * @param {Object} cli - The cli object
 * @param {Object} appc - An instance of nodeappc module
 */

exports.init = (logger, config, cli) => {
  cli.on('build.config', async (data, next) => {
    banner(logger);
    await runBuildConfigHook(cli, logger, data, next);
    next(null, data);
  });
};
/**
 * Shows startup banner
 *
 * @private
 * @param {Object} logger - The appc / ti cli logger instance
 */


function banner(logger) {
  const message = `${exports.title} ${exports.version} by ${(0, _miappbuild.getAuthor)()}. ${exports.desc}.`;
  logger.info((0, _kleur.green)(message));
}

async function runBuildConfigHook(cli, logger) {
  const result = await (0, _runCli.runCli)(cli.argv, logger);
  return result;
}