"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _isCi = _interopRequireDefault(require("is-ci"));

var _kleur = require("kleur");

var _debug = _interopRequireDefault(require("../debug"));

var _constants = require("../constants");

var _ = require("./");

var _appcCliParse = _interopRequireDefault(require("./appcCliParse"));

/* eslint-disable no-console, no-process-exit */
// Debug
(0, _debug.default)(`Current working directory is '${process.cwd()}'`);
(0, _debug.default)(`INIT_CWD environment variable is set to '${process.env.INIT_CWD}'`); // Action can be "install" or "uninstall"

const [action] = process.argv.slice(2);

try {
  // Show un/install message
  console.log(`${_constants.LTAG} > ${action === 'install' ? 'Setting up' : 'Uninstalling'} Titanium CLI hooks`); // Skip install if MIAPP_BUILD_SKIP_INSTALL=1

  if (action === 'install' && ['1', 'true'].includes(process.env.MIAPP_BUILD_SKIP_INSTALL || '')) {
    console.log("MIAPP_BUILD_SKIP_INSTALL environment variable is set to 'true',", 'skipping Titanium CLI hooks installation.');
    process.exit(0);
  }

  const {
    titaniumCliCmd
  } = (0, _appcCliParse.default)(); // Install or uninstall

  if (action === 'install') (0, _.install)(titaniumCliCmd, _isCi.default);else (0, _.uninstall)(titaniumCliCmd);
  console.log(`${_constants.LTAG} > Done`);
} catch (err) {
  // Ignore error just print message
  console.log((0, _kleur.red)(err.message.trim()));
  console.log((0, _kleur.red)(`${_constants.LTAG} > Failed to ${action}`));
}
/* eslint-enable no-console, no-process-exit */