"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.walk = walk;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

function walk(obj, parts, parent) {
  const filter = Array.isArray(parts) ? parts.shift() : null;
  const objToWalk = filter ? Object.keys(obj).filter(key => key === filter).reduce((acc, key) => (0, _extends2.default)({}, acc, {
    [key]: obj[key]
  }), {}) : obj;
  let output = {};
  Object.keys(objToWalk).forEach(name => {
    const p = parent ? `${parent}.${name}` : name;

    if (Object.prototype.toString.call(obj[name]) === '[object Object]') {
      output = (0, _extends2.default)({}, output, walk(obj[name], parts, p));
    } else if (!parts || !parts.length || !parent || parent.indexOf(parts) === 0) {
      output[p] = obj[name];
    }
  });
  return output;
}